//==========================================================================
// File: face.c
// Description: An implementation of right hand routing
// Author: Pat Morin
// Created: Wed Jan 20 20:13:58 EST 1999
//==========================================================================
#ifndef __FACE_H
#define __FACE_H

#include <LEDA/graph.h>
#include <LEDA/point.h>
#include <LEDA/node_array.h>
#include <LEDA/node_matrix.h>

//==========================================================================
// Find the FACE-1 path from s to t
// Complexity: O(n)
// Precondition: G is an embedded planar map
//========================================================================
void KSU_PATH(graph &G, node_array<point> &pos, 
	      node s, node t, list<edge> &P);


//==========================================================================
// Find the FACE-1 path from s to t
// Complexity: O(n)
// Precondition: G is an embedded planar map
//========================================================================
void BKOO_PATH(graph &G, node_array<point> &pos, 
	       node s, node t, list<edge> &P);


//==========================================================================
// Find the FACE-1 path from s to t
// Complexity: O(n)
// Precondition: G is an embedded planar map
//========================================================================
void FACE_TREE_PATH(graph &G, node_array<point> &pos, 
		    node s, node t, list<edge> &P);


//==========================================================================
// Find the FACE-1 path from s to t
// Complexity: O(n)
// Precondition: G is an embedded planar map
//========================================================================
void MKSU_PATH(graph &G, node_array<point> &pos, 
	       node s, node t, list<edge> &P);

#endif __FACE_H



