//==========================================================================
// File: facetree.h
// Description: An implementation of face tree routing
// Author: Pat Morin
// Created: 
//==========================================================================
#ifndef __FACETREE_H
#define __FACETREE_H

#include <LEDA/graph.h>
#include <LEDA/point.h>
#include <LEDA/node_array.h>
#include <LEDA/node_matrix.h>

#include "util.h"

//==========================================================================
// Find the FACETREE path from s to t in G
// Complexity: O(n)
// Precondition: G is an embedded planar map whose vertex positions are
//               defined by pos, and that contains vertices s and t.
//========================================================================
void FACETREE_PATH(const graph &G, const node_array<POINT> &pos, 
		   node s, node t, list<edge> &P);

#endif //__FACETREE_H


