//==========================================================================
// File: mksu.h
// Description: An implementation of Kranakis, Singh and Urrutia routing
// Author: Pat Morin
// Created: 
//==========================================================================
#ifndef __MKSU_H
#define __MKSU_H

#include <LEDA/graph.h>
#include <LEDA/point.h>
#include <LEDA/node_array.h>
#include <LEDA/node_matrix.h>

#include "util.h"

//==========================================================================
// Find the MKSU path from s to t in G
// Complexity: O(n)
// Precondition: G is an embedded planar map whose vertex positions are
//               defined by pos, and that contains vertices s and t.
//========================================================================
void MKSU_PATH(const graph &G, const node_array<POINT> &pos, 
	       node s, node t, list<edge> &P);

#endif //__MKSU_H


